{
  "compilerOptions": {
    // Modules
    "moduleResolution": "Node16",
    "types": ["@bojnit/utils/types", "node"],

    // Type Checking
    "exactOptionalPropertyTypes": true,
    "noFallthroughCasesInSwitch": true,
    "noImplicitOverride": true,
    "noImplicitReturns": true,
    "noPropertyAccessFromIndexSignature": true,
    "noUncheckedIndexedAccess": true,
    "strict": true,

    // Interop Constraints
    "forceConsistentCasingInFileNames": true,

    // Language and Environment
    "experimentalDecorators": true,
    "lib": [],
    "target": "ES2022",

    // Completeness
    "skipLibCheck": true,

    // Emit
    "noEmit": true,
  },

  "include": ["./src", "./types"]
}
